from cleo import Command
from cleo import Application


class GreetCommand(Command):
    """
    Greets someone

    greet
        {name? : Who do you want to greet?}
    """

    def handle(self):
        name = self.argument('name')

        self.line(f'Hello {name}')

application = Application()
application.add(GreetCommand())

if __name__ == '__main__':
    application.run()
